Bug 845768 - jscal cannot calibrate a joystick with an always-on button
jscal cannot calibrate a joystick with an always-on button
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: joystick (Show other bugs)
16
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-04 15:28 EDT by Kevin L. Mitchell
Modified: 2013-02-13 18:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 18:35:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to allow jscal to calibrate joysticks that leave a button pressed all the time (1.11 KB, patch)
2012-08-04 15:28 EDT, Kevin L. Mitchell
no flags Details | Diff

  None (edit)
Description Kevin L. Mitchell 2012-08-04 15:28:28 EDT
Created attachment 602271 [details]
Patch to allow jscal to calibrate joysticks that leave a button pressed all the time

Description of problem:

If you have a joystick device which always has a button pressed (such as the Saitek flight yoke, which exposes its "Mode" switch as three separate buttons, one of which is always pressed), jscal cannot calibrate it, because it waits for that button to be released.

Version-Release number of selected component (if applicable):


How reproducible:

Very reproducible.

Steps to Reproduce:
1.Get a joystick with an always-pressed button
2.Hook it to a Fedora-running machine
3.Run jscal on it.
  
Actual results:

Joystick cannot be calibrated.

Expected results:

Joystick should be calibrated.

Additional info:

I have attached a trivial (and ugly) patch to work around this issue.  It works by memorizing the button state just before entering the calibration loop, then comparing the current button state against the base button state instead of testing for the truthiness or non-truthiness of the current button state.  I have tested that this patch can be used inside of a spec file; one just needs to add "Patch2: joystick-1.2.15-base_buttons.patch" to the sources list and "%patch2 -p1 -b .basebuttons" to the %prep stage of the SPEC file.  Of course, this should also be pushed upstream...
Comment 1 Fedora End Of Life 2013-01-16 15:02:43 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 18:35:54 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.